IGMPlot: Results Class Reference

IGMPlot 3.16 Optimized IGMplot version able to use wfn/wfx/xyz files

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Private Attributes
Results Class Reference

Class designed to store all results that can be used as output by the program. More...

`#include <Results.h>`

Collaboration diagram for Results:

## Public Member Functions
| Results (int nbAtomParam, int nbStepsParam)
| Basic constructor.
| ~Results ()
| Destructor.
int | getNbAtom ()
| Returns the number of atom.
void | updateCubePauli (int index, double &self)
| Function used to store self descriptor for current grid node.
void | updateCube (int index, LocalData &data, double &rho, double &lambda)
| Function used to update the cube values using index and the vectors' norms.
void | updateCubeFC (int index, LocalData &data)
| Function used to update the cube values with basis change using index and the vectors' norms.
void | updateAtom (int i, LocalData &data)
| Function used to update the atom values using index and the vectors' norms.
void | update (int index, double rho, double value=0.0)
| Function used to update the values using a given value.
void | sum ()
| Function used to threads values together.
void | intermolecular (bool check, int pos)
| Function used to threads values together.
double | get (int index, int type)
| Gets the indicated value and given index.
double * | get (int type)
| Gets the indicated value.
bool * | getShouldPrint ()
| Gets the indicated values of intermolecular checking.
double | getsumdgInter ()
| returns the sumdgInter grid integration property
double | getscoreInterac ()
| returns the scoreInterac grid integration property
void | setsumdgInter (double *newvalue)
| Set the sumdgInter grid integration property.
void | setscoreInterac (double newvalue)
| Set the scoreInterac grid integration property.

## Static Public Attributes
static const int | DGSIE =16
| TO DOCUMENT.
static const int | DKSIE =17
| TO DOCUMENT.

## Private Attributes
int | nbAtom
| Number of atom focused.
int | fullSize
| Full number of iteration in the main loop.
double * | cubedeltaGIntra
| Promolecular cube to store deltag INTRA.
double * | cubedeltaGInter
| Promolecular cube to store deltag INTER.
double * | cubedeltaGIntraFC
| Promolecular cube to store deltag INTRA with basis change.
double * | cubedeltaGInterFC
| Promolecular cube to store deltag INTER with basis change.
double * | cubeRho
| TO DOCUMENT.
double * | cubeRDG
| TO DOCUMENT.
bool * | intermolecularCheck
| TO DOCUMENT.
double | sumdgInter
| result of the dgInter integration over the grid
double | scoreInterac
| result of the dgInter*rho^4/3, integration over the grid
double ** | sumDeltaGInterAtom
| TO DOCUMENT.
unsigned int | nbThreads
| The number of threads for the current run.

## Detailed Description

Class designed to store all results that can be used as output by the program.

## Constructor & Destructor Documentation

## ◆ Results()

Results::Results | ( | int | nbAtomParam,
|  | int | nbStepsParam )

Basic constructor.

Parameters

  nbAtomParam | The number of focused atom.
  nbStepsParam | the number of steps for the grid crossing in each axis

## Member Function Documentation

## ◆ get() [1/2]

double Results::get | ( | int | index,
|  | int | type )

Gets the indicated value and given index.

Parameters

  index | index of the value
  type | the type of value

Returns
  the current type of value

Here is the caller graph for this function:

## ◆ get() [2/2]

double * Results::get | ( | int | type | ) |

Gets the indicated value.

Parameters

  type | : the type of value

Returns
  the current type of value

## ◆ getNbAtom()

int Results::getNbAtom | ( |  | ) |

Returns the number of atom.

Returns
  the number of atom

## ◆ getscoreInterac()

double Results::getscoreInterac | ( |  | ) |

returns the scoreInterac grid integration property

Returns
  scoreInterac

## ◆ getShouldPrint()

bool * Results::getShouldPrint | ( |  | ) |

Gets the indicated values of intermolecular checking.

Returns
  the current the values array

Here is the caller graph for this function:

## ◆ getsumdgInter()

double Results::getsumdgInter | ( |  | ) |

returns the sumdgInter grid integration property

Returns
  sumdgInter

## ◆ setsumdgInter()

void Results::setsumdgInter | ( | double * | newvalue | ) |

Set the sumdgInter grid integration property.

Parameters

  newvalue | The new value

## ◆ update()

void Results::update | ( | int | index,
|  | double | rho,
|  | double | value = 0.0 )

Function used to update the values using a given value.

Parameters

  index | index value
  rho | the previously calculated value of rho
  value | value

## ◆ updateAtom()

void Results::updateAtom | ( | int | i,
|  | LocalData & | data )

Function used to update the atom values using index and the vectors' norms.

Parameters

  i | Atom index value
  data | the previously calculated norms (cf Gradient)

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ updateCube()

void Results::updateCube | ( | int | index,
|  | LocalData & | data,
|  | double & | rho,
|  | double & | lambda )

Function used to update the cube values using index and the vectors' norms.

Parameters

  index | grid index value
  data | the Gradients
  rho | the previously calculated value of rho
  lambda | second lambda value

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ updateCubeFC()

void Results::updateCubeFC | ( | int | index,
|  | LocalData & | data )

Function used to update the cube values with basis change using index and the vectors' norms.

Parameters

  index | = input = position of current point in the grid represented as a one dimension array
  data | = input = an object containing results like grad, gradIGM, ... but not rho

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ updateCubePauli()

void Results::updateCubePauli | ( | int | index,
|  | double & | self )

Function used to store self descriptor for current grid node.

Parameters

  index | grid index value
  input | --> the self promolecular descriptor

The documentation for this class was generated from the following files:

- src/include/Results.h
- src/Results.cpp